All resources All frames

# ServletMapperFrame

This frame is used to map a file to a servlet, for example jsp file are mapped to the JSPServlet.This frame update the path info (and the path translated) and perform an internal redirect to the servlet.

## Inherits

The ServletMapperFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame

## Attributes description

The ServletMapperFrame defines the following attributes:

- servlet-url

`servlet-url`

semantics
  The servlet URI where the request will be redirected.(eg /servlet/JSPServlet)
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.servlet.ServletMapperFrame.html,v 1.1 1999/03/29 13:16:56 null Exp $